CREATE TABLE   `aggiornamenti` (
  `id_aggiornamenti` int(11) NOT NULL AUTO_INCREMENT,
  `autore` varchar(100) NOT NULL,
  `titolo` varchar(255) NOT NULL,
  `data_inserimento` date NOT NULL DEFAULT '0000-00-00',
  `erogatore` varchar(255) NOT NULL,
  `scadenza` tinyint(1) NOT NULL,
  `data_scadenza` date NOT NULL DEFAULT '0000-00-00',
  `link` varchar(255) DEFAULT NULL,
  `descrizione` text,
  `allegato` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_aggiornamenti`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `albo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `numero` int(6) NOT NULL,
  `protocollo` varchar(100) NOT NULL DEFAULT '',
  `oggetto` varchar(255) NOT NULL DEFAULT '',
  `categoria` varchar(50) NOT NULL DEFAULT 'Bandi e gare',
  `id_redattori` varchar(100) NOT NULL DEFAULT '0',
  `data` date NOT NULL DEFAULT '0000-00-00',
  `data_ins` date NOT NULL DEFAULT '0000-00-00',
  `data_mod` datetime DEFAULT '0000-00-00 00:00:00',
  `scadenza` date NOT NULL DEFAULT '0000-00-00',
  `link` varchar(255) DEFAULT NULL,
  `allegato` varchar(255) NOT NULL DEFAULT '',
  `note` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `altre_informazioni` (
  `id_altre_informazioni` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(100) NOT NULL,
  `informazioni` text NOT NULL,
  PRIMARY KEY (`id_altre_informazioni`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `alunni` (
  `utente` varchar(100) NOT NULL,
  `id_utente` int(11) NOT NULL AUTO_INCREMENT,
  `cf` varchar(16) NOT NULL,
  `nome` varchar(254) NOT NULL,
  `cognome` varchar(254) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(254) NOT NULL,
  `num_accessi` int(6) DEFAULT '0',
  `ultimo_accesso` datetime DEFAULT '0000-00-00 00:00:00',
  `datains` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id_utente`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
CREATE TABLE   `anagrafica` (
  `id_anagrafica` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(100) NOT NULL DEFAULT '',
  `indirizzo` varchar(100) NOT NULL DEFAULT '',
  `numero_civico` varchar(10) NOT NULL DEFAULT '',
  `cap` varchar(5) NOT NULL DEFAULT '',
  `citta` varchar(100) NOT NULL DEFAULT '',
  `provincia` varchar(4) NOT NULL DEFAULT '',
  `telefono_fisso` varchar(20) DEFAULT '',
  `cellulare` varchar(20) DEFAULT '',
  `email` varchar(40) DEFAULT '',
  `data_di_nascita` date NOT NULL DEFAULT '0000-00-00',
  `citta_di_nascita` varchar(100) NOT NULL,
  `provincia_di_nascita` varchar(30) NOT NULL,
  `fax` varchar(20) DEFAULT '',
  `sito_web` varchar(100) NOT NULL,
  `sesso` char(1) NOT NULL DEFAULT '',
  `stato_cv` varchar(20) NOT NULL,
  `autorizzazione_cv` tinyint(1) NOT NULL DEFAULT '0',
  `pdf_cv` varchar(100) NOT NULL,
  PRIMARY KEY (`id_anagrafica`),
  UNIQUE KEY `utente` (`utente`),
  KEY `utente_2` (`utente`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `aree` (
  `id_aree` int(11) NOT NULL AUTO_INCREMENT,
  `area` varchar(100) NOT NULL,
  `attivo` tinyint(1) NOT NULL DEFAULT '0',
  `titolo` varchar(100) NOT NULL,
  `auth` varchar(255) NOT NULL,
  `menu` varchar(100) NOT NULL,
  PRIMARY KEY (`id_aree`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=16 ;
INSERT INTO `aree` (`id_aree`, `area`, `attivo`, `titolo`, `auth`, `menu`) VALUES
(1, 'richieste', 1, 'Richieste', '', 'richieste/richieste.php'),
(2, 'datigenerali', 1, 'Amministrazione Piattaforma', 'accesso_datigenerali', 'datigenerali/datigenerali.php'),
(3, 'area_profilo', 1, 'Abilitazione accessi operatori', 'accesso_profilo', 'profilo/profilo.php'),
(4, 'progetti', 1, 'Progetti', '', 'progetti/progetti.php'),
(5, 'tracciamento', 1, 'Tracciamento utenti', 'superuser', 'tracciamento/tracciamento.php'),
(6, 'circolari', 1, 'Circolari', '', 'circolari/circolari.php'),
(7, 'atti', 1, 'Gestione albo pretorio', 'pubb_atti', 'atti/atti.php'),
(8, 'bacheca', 1, 'Bacheca', '', 'bacheca/bacheca.php'),
(9, 'sgq', 1, 'Modulistica Qualit&agrave;', '', 'sgq/sgq.php'),
(10, 'cv', 1, 'Curriculum vitae', '', 'cv/cv.php'),
(11, 'segnalazioni', 1, 'Segnalazioni', '', 'segnalazioni/segnalazioni.php'),
(12, 'verbali', 1, 'Verbali', '', 'verbali/verbali.php'),
(13, 'relazioni', 1, 'Programmazioni e relazioni', '', 'relazioni/relazioni.php'),
(15, 'registri', 1, 'Incarichi e registri', '', 'registri/registri.php');
CREATE TABLE   `bacheca` (
  `id_bacheca` int(11) NOT NULL AUTO_INCREMENT,
  `id_autori` varchar(50) NOT NULL,
  `data_inserimento` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `data_evento` date NOT NULL DEFAULT '0000-00-00',
  `ora_inizio` time NOT NULL DEFAULT '00:00:00',
  `ora_fine` time NOT NULL DEFAULT '00:00:00',
  `luogo` varchar(255) NOT NULL,
  `descrizione` varchar(255) NOT NULL,
  `destinatari` varchar(255) DEFAULT NULL,
  `visibile` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_bacheca`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `calendario` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idprogetto` varchar(20) DEFAULT NULL,
  `docente` varchar(50) DEFAULT NULL,
  `attivita` varchar(250) DEFAULT NULL,
  `descrizione_attivita` text,
  `giorno` varchar(20) DEFAULT NULL,
  `dalle` varchar(10) DEFAULT NULL,
  `alle` varchar(10) DEFAULT NULL,
  `approvazioneds` int(11) DEFAULT '0',
  `approvazionedsga` int(11) DEFAULT '0',
  `svolto` int(11) DEFAULT '0',
  `data_firma` date DEFAULT NULL,
  `firma` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `categorie_albo` (
  `id_categoria` int(2) NOT NULL AUTO_INCREMENT,
  `categoria` varchar(50) NOT NULL,
  PRIMARY KEY (`id_categoria`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18;
INSERT INTO `categorie_albo` (`id_categoria`, `categoria`) VALUES
(1, 'Bandi e gare'),
(3, 'Contratti integrativi'),
(4, 'Contratti e convenzioni'),
(5, 'Convocazioni'),
(6, 'Delibere Consiglio di Istituto'),
(7, 'Documenti altre P.A.'),
(8, 'Esiti esami'),
(9, 'Graduatorie'),
(10, 'Organi collegiali'),
(11, 'Organi collegiali - Elezioni'),
(12, 'Privacy'),
(13, 'Programmi annuali e Consuntivi'),
(14, 'Regolamenti'),
(15, 'Sicurezza'),
(16, 'Decreti di nomina'),
(17, 'Altro');
CREATE TABLE   `categorie_sgq` (
  `id_categorie_sgq` int(11) NOT NULL AUTO_INCREMENT,
  `categoria` varchar(100) NOT NULL,
  PRIMARY KEY (`id_categorie_sgq`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;
INSERT INTO `categorie_sgq` (`id_categorie_sgq`, `categoria`) VALUES
(1, 'Allegato'),
(2, 'Manuale'),
(3, 'Procedure comuni obbligatorie ISO 9001'),
(4, 'Flussi supplementari comuni'),
(5, 'Flussi supplementari sedi'),
(6, 'Istruzioni lavoro (procedure operative)'),
(7, 'Altri documenti');
CREATE TABLE   `certificazioni` (
  `id_certificazioni` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(100) NOT NULL,
  `tipologia` varchar(100) NOT NULL,
  `descrizione` text NOT NULL,
  `anno_di_conseguimento` varchar(4) NOT NULL,
  PRIMARY KEY (`id_certificazioni`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `circolari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `numero` varchar(100) NOT NULL DEFAULT '',
  `oggetto` varchar(255) NOT NULL DEFAULT '',
  `id_redattori` varchar(100) NOT NULL DEFAULT '0',
  `data` date NOT NULL DEFAULT '0000-00-00',
  `ufficio` varchar(100) NOT NULL DEFAULT '',
  `data_ins` date NOT NULL DEFAULT '0000-00-00',
  `data_mod` date NOT NULL DEFAULT '0000-00-00',
  `docenti` tinyint(4) NOT NULL DEFAULT '0',
  `studenti` tinyint(4) NOT NULL DEFAULT '0',
  `ata` tinyint(4) NOT NULL DEFAULT '0',
  `famiglie` tinyint(4) NOT NULL DEFAULT '0',
  `altri_destinatari` varchar(255) DEFAULT NULL,
  `link` varchar(255) DEFAULT NULL,
  `allegato` varchar(255) NOT NULL DEFAULT '',
  `note` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `competenze` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `lingua_madre` varchar(100) NOT NULL,
  `comunicative` text NOT NULL,
  `organizzativo_gestionali` text NOT NULL,
  `professionali` text NOT NULL,
  `altre_competenze` text NOT NULL,
  `patente_di_guida` varchar(100) NOT NULL,
  `id_competenze` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_competenze`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `def_registri` (
  `id_def_registri` int(11) NOT NULL AUTO_INCREMENT,
  `tipologiaregistri` varchar(100) NOT NULL,
  `scadenza_compilazione` date NOT NULL DEFAULT '0000-00-00',
  `anno_scolastico` varchar(9) NOT NULL,
  `stato` varchar(50) NOT NULL,
  `mansioni` tinyint(1) NOT NULL DEFAULT '0',
  `testo_mansioni` text NOT NULL,
  PRIMARY KEY (`id_def_registri`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `def_verbali` (
  `id_def_verbali` int(11) NOT NULL AUTO_INCREMENT,
  `titolo` varchar(255) NOT NULL,
  `tipologiaverbali` varchar(100) NOT NULL,
  `scadenza_verbalizzazione` date NOT NULL DEFAULT '0000-00-00',
  `anno_scolastico` varchar(9) NOT NULL,
  `stato` varchar(50) NOT NULL,
  `odg1` varchar(255) NOT NULL,
  `odg2` varchar(255) DEFAULT NULL,
  `odg3` varchar(255) DEFAULT NULL,
  `odg4` varchar(255) DEFAULT NULL,
  `odg5` varchar(255) DEFAULT NULL,
  `odg6` varchar(255) DEFAULT NULL,
  `odg7` varchar(255) DEFAULT NULL,
  `odg8` varchar(255) DEFAULT NULL,
  `odg9` varchar(255) DEFAULT NULL,
  `odg10` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_def_verbali`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `descrizioneattivitaprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` text NOT NULL,
  `costoorario` float DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6;
INSERT INTO `descrizioneattivitaprogetti` (`id`, `descrizione`, `costoorario`) VALUES
(1, 'Conduzione del progetto (responsabile)', 17.5),
(2, 'Attivitï¿½ non di insegnamento: Progettazione, produzione materiali, monitoraggio', 17.5),
(3, 'Attivitï¿½ di insegnamento', 35),
(4, 'Ore a recupero (da togliere dalle ore disponibilitÃ¡ supplenze per i docenti della Scuola Secondaria Primo Grado))', 5),
(5, 'Ore aggiuntive collaboratore scolastico', 14);
CREATE TABLE   `descrizionefinanziamentiprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `finanziamenti` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6;
INSERT INTO `descrizionefinanziamentiprogetti` (`id`, `finanziamenti`) VALUES
(1, 'FIS'),
(2, 'Finanziamenti da famiglie'),
(3, 'Bilancio scuola (non FIS)'),
(4, 'Finanziamenti esterni'),
(5, 'altro');
CREATE TABLE   `dettaglio_richieste` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_richiesta` int(11) NOT NULL,
  `descrizione` varchar(250) DEFAULT NULL,
  `quantita` int(11) DEFAULT NULL,
  `pag` int(11) DEFAULT NULL,
  `costo` float DEFAULT NULL,
  `stato` varchar(100) DEFAULT NULL,
  `codice` varchar(10) DEFAULT NULL,
  `dal` varchar(10) NOT NULL,
  `al` varchar(10) NOT NULL,
  `totgiorni` int(11) NOT NULL,
  `giustifica` varchar(100) DEFAULT NULL,
  `ragione_sociale` varchar(200) DEFAULT NULL,
  `data_documento` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `doc_quality` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `edizione` varchar(4) DEFAULT NULL,
  `revisione` varchar(4) DEFAULT NULL,
  `codice` varchar(100) NOT NULL,
  `titolo` varchar(255) NOT NULL DEFAULT '',
  `categoria` int(2) NOT NULL,
  `tag` text,
  `utilizzatori` varchar(100) DEFAULT NULL,
  `archiviazione` varchar(100) DEFAULT NULL,
  `master` varchar(100) DEFAULT NULL,
  `id_redattori` varchar(100) NOT NULL DEFAULT '0',
  `data` date NOT NULL DEFAULT '0000-00-00',
  `data_ins` date NOT NULL DEFAULT '0000-00-00',
  `data_mod` date NOT NULL DEFAULT '0000-00-00',
  `allegato` varchar(255) NOT NULL DEFAULT '',
  `allegato2` varchar(255) DEFAULT NULL,
  `link` varchar(255) DEFAULT NULL,
  `note` text,
  `sezione` varchar(30) DEFAULT NULL,
  `visibile` tinyint(1) NOT NULL,
  `pubblico` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `footer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `link` varchar(250) NOT NULL,
  `text` varchar(250) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4;
INSERT INTO `footer` (`id`, `link`, `text`) VALUES
(1, 'http://www.miur.it', 'Sito MIUR'),
(2, 'http://www.icviadantevoghera.gov.it', 'Sito scolastico'),
(3, 'www.istruzione.lombardia.it', 'USR Lombardia');
CREATE TABLE   `generalinfo` (
  `title` varchar(100) NOT NULL,
  `subtitle` varchar(100) NOT NULL,
  `boxtitle` varchar(50) NOT NULL,
  `boxtext` text NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome_scuola` varchar(255) NOT NULL,
  `nome_ds` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `city` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `patrono` varchar(50) DEFAULT NULL,
  `termine_presentazione_progetti` varchar(10) NOT NULL,
  `termine_presentazione_progetti2` varchar(10) DEFAULT NULL,
  `termine_conclusione_progetti` varchar(10) DEFAULT NULL,
  `termine_conclusione_progetti2` varchar(10) NOT NULL,
  `inizio_monit_intermedio` date NOT NULL,
  `fine_monit_intermedio` date NOT NULL,
  `inizio_monit_finale` date NOT NULL,
  `fine_monit_finale` date NOT NULL,
  `inserimento_calendario` varchar(100) NOT NULL,
  `intestazione` text,
  `imgintestazione1` varchar(200) DEFAULT NULL,
  `imgintestazione2` varchar(200) DEFAULT NULL,
  `imgintestazione3` varchar(200) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `emailout` varchar(100) DEFAULT NULL,
  `giorni_firma` int(11) NOT NULL DEFAULT '0',
  `home_img` varchar(255) NOT NULL,
  `versione` varchar(6) NOT NULL,
  `aggiornamenti` int(11) NOT NULL,
  `data_aggiornamenti` datetime NOT NULL,
  `status_aggiornamenti` text NOT NULL,
  `dbhost` text NOT NULL,
  `dbuser` varchar(50) NOT NULL,
  `dbpassword` varchar(50) NOT NULL,
  `dbname` varchar(50) NOT NULL,
  `top` text NOT NULL,
  `rootdir` text NOT NULL,
  `google_auth` tinyint(1) NOT NULL DEFAULT '0',
  `google_id` varchar(255) NOT NULL,
  `google_secret` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;
INSERT INTO `generalinfo` (`title`, `subtitle`, `boxtitle`, `boxtext`, `id`, `nome_scuola`, `nome_ds`, `city`, `patrono`, `termine_presentazione_progetti`, `termine_presentazione_progetti2`, `termine_conclusione_progetti`, `termine_conclusione_progetti2`, `inizio_monit_intermedio`, `fine_monit_intermedio`, `inizio_monit_finale`, `fine_monit_finale`, `inserimento_calendario`, `intestazione`, `imgintestazione1`, `imgintestazione2`, `imgintestazione3`, `email`, `emailout`, `giorni_firma`, `home_img`, `versione`, `aggiornamenti`, `data_aggiornamenti`, `status_aggiornamenti`, `dbhost`, `dbuser`, `dbpassword`, `dbname`, `top`, `rootdir`, `google_auth`, `google_id`, `google_secret`) VALUES
('Istituto Comprensivo di via XXV Aprile - Voghera', 'Accesso al sistema', 'Servizi', '<ul><li>Circolari</li><li>Compilazione Modelli</li><li>Gestione Progetti</li><li>Gestione incarichi</li><li>Proposte di acquisto</li></ul>', 1, 'Istituto Comprensivo di via XXV Aprile - Voghera', 'Dott. Mario Rossi', 'Voghera', '22/04/2016', '02/07/2015', '31/05/2016', '20/09/2015', '10/10/2015', '2016-05-03', '2016-05-05', '2016-05-03', '2016-05-31', '', '<p>Istituto Comprensivo&nbsp;di via Dante<br />Via Dante ,3 &ndash; 27058 Voghera &ndash; tel. 0383/41757 &ndash; 038362994 &ndash;e-mail: pvic828005@istruzione.it<br />&nbsp;Pec: pvic827005@pec.istruzione.it<br />&nbsp;Codice meccanografico: PVIC827005</p>', '../docs/logo1.jpg', '../docs/logo2.jpg', '../docs/logo3.jpg', 'alberto.panzarasa@gmail.com', 'alberto.panzarasa@gmail.com', 6, '', '0.3', 0, '0000-00-00 00:00:00', '', '', '', '', '', 'http://www.schoolcom.it/development', '/web/htdocs/www.schoolcom.it/home/development', 0, '', '');
CREATE TABLE   `informatica` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `tipologia` varchar(32) NOT NULL,
  `livello` varchar(15) NOT NULL DEFAULT '0',
  `id_informatica` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_informatica`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `inizio_occupazione` (
  `id_inizio_occupazione` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(255) NOT NULL,
  `utente` varchar(100) NOT NULL,
  `data_inizio` varchar(100) NOT NULL,
  PRIMARY KEY (`id_inizio_occupazione`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `item_registri` (
  `id_item_registri` int(11) NOT NULL AUTO_INCREMENT,
  `id_registri` int(11) DEFAULT NULL,
  `descrizione` varchar(255) DEFAULT NULL,
  `giorno` varchar(20) DEFAULT NULL,
  `dalle` varchar(5) DEFAULT NULL,
  `alle` varchar(5) DEFAULT NULL,
  `ore` float NOT NULL,
  `data_firma` date DEFAULT NULL,
  `firma` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_item_registri`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `lavori` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `azienda` varchar(100) NOT NULL DEFAULT '',
  `settore` varchar(100) NOT NULL DEFAULT '',
  `qualifica` varchar(250) NOT NULL DEFAULT '',
  `periodo` varchar(100) NOT NULL DEFAULT '',
  `id_lavori` int(11) NOT NULL AUTO_INCREMENT,
  `citta` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`id_lavori`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `lavori_scuola` (
  `utente` varchar(100) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `id_lavori_scuola` int(11) NOT NULL AUTO_INCREMENT,
  `scuola` varchar(100) CHARACTER SET latin1 NOT NULL,
  `citta` varchar(100) NOT NULL,
  `tipologia_di_scuola` varchar(100) NOT NULL,
  `qualifica` varchar(100) NOT NULL,
  `durata` varchar(100) NOT NULL,
  `periodo` varchar(100) NOT NULL,
  PRIMARY KEY (`id_lavori_scuola`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `lingue` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `ascolto` varchar(2) NOT NULL,
  `lingua` varchar(20) NOT NULL DEFAULT '',
  `lettura` varchar(2) NOT NULL,
  `produzione_orale` varchar(2) NOT NULL,
  `interazione` varchar(2) NOT NULL,
  `produzione_scritta` varchar(2) NOT NULL,
  `id_lingue` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_lingue`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `monitoraggi_progetti` (
  `id_monitoraggi_progetti` int(11) NOT NULL AUTO_INCREMENT,
  `idprogetto` int(11) NOT NULL,
  `tipologia` varchar(10) NOT NULL,
  `stato_progetto` varchar(50) NOT NULL,
  `percentuale` int(3) NOT NULL,
  `descrizione` text NOT NULL,
  `data_compilazione` date NOT NULL,
  `obiettivi_raggiunti` text NOT NULL,
  `criticita` text NOT NULL,
  `forza` text NOT NULL,
  `esiti` text NOT NULL,
  `valut_esperti` text NOT NULL,
  `allegato` varchar(255) NOT NULL,
  PRIMARY KEY (`id_monitoraggi_progetti`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `photo` (
  `id_photo` int(11) NOT NULL AUTO_INCREMENT,
  `link` varchar(255) NOT NULL,
  `utente` varchar(100) NOT NULL,
  `dataupload` date NOT NULL,
  PRIMARY KEY (`id_photo`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `plessi` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5;
INSERT INTO `plessi` (`id`, `nome`) VALUES
(1, 'Scuola Primaria Dante'),
(2, 'Scuola Primaria Provenzal'),
(3, 'Scuola Secondaria di Primo grado Plana'),
(4, 'Scuola Primaria San Vittore');
CREATE TABLE   `progetti` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `idprogetto` int(11) DEFAULT NULL,
  `anno_scolastico` varchar(10) NOT NULL,
  `descrizione` text,
  `titolo` text,
  `stato` varchar(80) DEFAULT NULL,
  `old_stato` varchar(50) DEFAULT NULL,
  `datapresentazione` date DEFAULT '0000-00-00',
  `dataapprovazionecd` varchar(10) DEFAULT NULL,
  `dataapprovazioneci` varchar(10) DEFAULT NULL,
  `importo` double DEFAULT '0',
  `nota` text,
  `file` varchar(200) DEFAULT NULL,
  `destinatari` text,
  `scadenza` text,
  `progettazione` text,
  `invio` text,
  `tipologia` text,
  `obiettivo` text,
  `costo` text,
  `autorizzocd` int(11) DEFAULT '0',
  `luogo1sez1` varchar(100) DEFAULT NULL,
  `luogo2sez1` varchar(100) DEFAULT NULL,
  `progettista` varchar(100) DEFAULT NULL,
  `tipologiaprogetto` varchar(100) DEFAULT NULL,
  `referente` varchar(100) NOT NULL,
  `obiettivi` text NOT NULL,
  `finalita` text,
  `metodologia` text NOT NULL,
  `tempi` text,
  `autorizzofi` tinyint(1) NOT NULL DEFAULT '0',
  `spazi` text,
  `attrezzature` text,
  `strumenti` text,
  `materiali` text,
  `versione` int(11) DEFAULT '1',
  `datainiziorevisione` varchar(10) DEFAULT NULL,
  `calendario` int(11) DEFAULT '1',
  `generazione_incarichi` int(11) DEFAULT '0',
  `data_gen_incarichi` date NOT NULL,
  `nota_revisione` text,
  `doc_progetto` varchar(50) NOT NULL,
  `doc_incarichi` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `registri` (
  `id_registri` int(11) NOT NULL AUTO_INCREMENT,
  `id_def_registri` int(11) NOT NULL,
  `redattore` varchar(100) NOT NULL,
  `numore` int(11) NOT NULL,
  `oresvolte` float NOT NULL DEFAULT '0',
  `stato_registro` varchar(50) NOT NULL DEFAULT 'vuoto',
  `pdf` varchar(100) NOT NULL,
  `datapresentazione` date NOT NULL DEFAULT '0000-00-00',
  `incarico` tinyint(1) NOT NULL DEFAULT '0',
  `doc_incarico` varchar(100) NOT NULL,
  `data_incarico` date NOT NULL DEFAULT '0000-00-00',
  PRIMARY KEY (`id_registri`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `relazioni` (
  `id_relazioni` int(11) NOT NULL AUTO_INCREMENT,
  `id_utente` int(11) NOT NULL,
  `id_tipologiarelazioni` varchar(50) NOT NULL,
  `descrizione` varchar(255) NOT NULL,
  `redattore` varchar(100) NOT NULL,
  `pdf` varchar(100) NOT NULL,
  `id_target` int(11) NOT NULL,
  `data_inoltro` date NOT NULL DEFAULT '0000-00-00',
  `anno_scolastico` varchar(9) NOT NULL,
  PRIMARY KEY (`id_relazioni`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `richieste` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `protentrata` varchar(10) DEFAULT NULL,
  `datarichiesta` varchar(10) DEFAULT NULL,
  `utente` varchar(50) DEFAULT NULL,
  `tiporichiesta` varchar(255) DEFAULT NULL,
  `mese` varchar(20) DEFAULT NULL,
  `totgiorni` int(11) DEFAULT NULL,
  `totgiorni2` int(11) DEFAULT '0',
  `giorno1` varchar(10) DEFAULT NULL,
  `giorno2` varchar(10) DEFAULT NULL,
  `giorno3` varchar(10) DEFAULT NULL,
  `giorno4` varchar(20) DEFAULT NULL,
  `giorno5` varchar(10) DEFAULT NULL,
  `dichiara1` int(11) DEFAULT '0',
  `dichiara2` int(11) DEFAULT '0',
  `dichiara3` int(11) DEFAULT '0',
  `dichiara4` int(11) DEFAULT '0',
  `per` varchar(100) DEFAULT NULL,
  `nomefam` varchar(250) DEFAULT NULL,
  `numore` varchar(10) DEFAULT '0',
  `dalleore` varchar(50) DEFAULT NULL,
  `alleore` varchar(50) DEFAULT NULL,
  `motivazione` text,
  `autorizzazioneds` int(11) NOT NULL DEFAULT '0',
  `autorizzazionedsga` int(11) NOT NULL DEFAULT '0',
  `autorizzazionedsc` int(11) DEFAULT '0',
  `autorizzazionedsgac` int(11) DEFAULT '0',
  `notads` text,
  `ataaddetto` varchar(50) DEFAULT NULL,
  `nota_ataaddetto` text,
  `stato` varchar(255) NOT NULL,
  `reperibile_via` varchar(250) DEFAULT NULL,
  `reperibile_cap` varchar(10) DEFAULT NULL,
  `reperibile_citta` varchar(100) DEFAULT NULL,
  `reperibile_tel` varchar(20) DEFAULT NULL,
  `motivo` text,
  `rilasciatoda` varchar(100) DEFAULT NULL,
  `figlionatoil` varchar(50) DEFAULT NULL,
  `altrogenitore` varchar(100) DEFAULT NULL,
  `altrogenitore_natoa` varchar(100) DEFAULT NULL,
  `altrogenitore_natoil` varchar(20) DEFAULT NULL,
  `dipendente_presso` varchar(100) DEFAULT NULL,
  `dichiarazione` text NOT NULL,
  `dichiarazione1` text,
  `dichiarazione2` text,
  `dichiarazione3` text,
  `dichiarazione4` text,
  `dichiarazione5` text,
  `dichiarazione6` text,
  `dichiarazione7` text,
  `dichiarazione8` text,
  `cog` varchar(100) DEFAULT NULL,
  `nom` varchar(100) DEFAULT NULL,
  `cl` varchar(10) DEFAULT NULL,
  `doc_richiesta` varchar(200) DEFAULT NULL,
  `visionata` int(11) DEFAULT '0',
  `doc_aut` varchar(50) DEFAULT NULL,
  `firma_cambioorario` tinyint(4) NOT NULL DEFAULT '0',
  `nota_ds` text,
  `nota_dsga` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `risorsebeniprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idprogetto` int(11) NOT NULL,
  `quantita` int(11) NOT NULL,
  `costounitario` double NOT NULL,
  `descrizione` text,
  `finanziamenti` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `risorseumaneprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idprogetto` int(11) NOT NULL,
  `nome` varchar(100) NOT NULL,
  `numore` int(11) NOT NULL,
  `costoorario` double NOT NULL,
  `attivita` text,
  `ruolo` varchar(40) NOT NULL,
  `finanziamenti` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `ruoli` (
  `id_ruoli` int(11) NOT NULL AUTO_INCREMENT,
  `sigla` varchar(4) NOT NULL,
  `ruolo` varchar(30) NOT NULL,
  PRIMARY KEY (`id_ruoli`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9;
INSERT INTO `ruoli` (`id_ruoli`, `sigla`, `ruolo`) VALUES
(1, 'AA', 'assistente amministrativo'),
(2, 'DOC', 'docente'),
(3, 'CS', 'collaboratore scolastico'),
(4, 'DS', 'ds'),
(5, 'DSGA', 'dsga'),
(6, 'AT', 'assistente tecnico'),
(7, 'STUD', 'studente'),
(8, 'GEN', 'genitore');
CREATE TABLE   `segnalazioni` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(50) NOT NULL,
  `data_segnalazione` date NOT NULL DEFAULT '0000-00-00',
  `oggetto` varchar(250) DEFAULT NULL,
  `testo` text NOT NULL,
  `per_ds` tinyint(1) NOT NULL DEFAULT '0',
  `per_dsga` tinyint(1) NOT NULL DEFAULT '0',
  `rispostads` text NOT NULL,
  `rispostadsga` text NOT NULL,
  `data_rispostads` date NOT NULL DEFAULT '0000-00-00',
  `data_rispostadsga` date NOT NULL,
  `doc` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `target_verbali` (
  `id_target_verbali` int(11) NOT NULL AUTO_INCREMENT,
  `tipologiaverbali` varchar(100) NOT NULL,
  `target` varchar(100) NOT NULL,
  `coordinatore` varchar(100) NOT NULL,
  `segretario` varchar(100) NOT NULL,
  PRIMARY KEY (`id_target_verbali`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `tipologiamoduli` (
  `id_tipologiamoduli` int(11) NOT NULL AUTO_INCREMENT,
  `nome_modulo` varchar(255) DEFAULT NULL,
  `link` varchar(30) NOT NULL,
  `abilita` int(11) DEFAULT '0',
  `schede` tinyint(4) NOT NULL DEFAULT '0',
  `oggetto` text,
  `azione` varchar(100) DEFAULT NULL,
  `printlink` varchar(100) DEFAULT NULL,
  `title` text,
  `subtitle` text,
  `azione_ds` varchar(30) DEFAULT NULL,
  `azione_dsga` varchar(30) DEFAULT NULL,
  `azione_aa` varchar(30) DEFAULT NULL,
  `target_modulo` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`id_tipologiamoduli`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=21;
INSERT INTO `tipologiamoduli` (`id_tipologiamoduli`, `nome_modulo`, `link`, `abilita`, `schede`, `oggetto`, `azione`, `printlink`, `title`, `subtitle`, `azione_ds`, `azione_dsga`, `azione_aa`, `target_modulo`) VALUES
(1, 'Assenza per malattia', 'nuovassenza.php', 1, 0, NULL, 'COMUNICA', 'priassenza.php', 'ASSENZA PER MALATTIA', 'Art. 17 e 19 CCNL 2006-09- Circolare n. 7/2008 della Presidenza del Consiglio', 'firma', 'visione', 'visione', 'uguale per tutti'),
(2, 'Assenza aspettativa infortunio', 'nuovaspettativa.php', 1, 0, NULL, 'COMUNICA', 'priaspettativa.php', 'ASPETTATIVA PER MOTIVI DI FAMIGLIA-STUDIO-LAVORO-INFORTUNIO SUL LAVORO', 'Art. 18 CCNL 2006-09', 'autorizzazione', 'autorizzazione', 'visione', 'diverso per docenti e ata'),
(3, 'Verbale pronto soccorso', 'soccorso.php', 0, 0, NULL, 'DICHIARA', 'prisoccorso.php', 'DICHIARAZIONE SOSTITUTIVA DI CERTIFICAZIONE', '(Art.46 DPR 28/12/2000,N. 445)', NULL, NULL, NULL, NULL),
(4, 'Richiesta di permesso Legge 104', 'nuovo104.php', 1, 0, NULL, 'CHIEDO', 'pri104.php', 'RICHIESTA di PERMESSO ai sensi dell'' ART. 33 della L. 104/92 L. n. 53/00', 'Art. 16 CCNL 2006-09', 'autorizzazione', 'autorizzazione', 'visione', 'diverso per docenti e ata'),
(5, 'Congedo per malattia del figlio', 'nuovocongedob.php', 1, 0, NULL, 'COMUNICA', 'pricongedob.php', 'CONGEDO PER MALATTIA DEL FIGLIO - art. 47 del D.Lvo n. 151/2001', 'Art. 16 CCNL 2006-09', 'firma', 'visione', 'visione', 'uguale per tutti'),
(6, 'Congedo di maternità', 'nuovocongedobb.php', 1, 0, NULL, 'COMUNICA', 'pricongedobb.php', 'CONGEDO di MATERNITÀ - art. 16 del D.Lvo n. 151/2001', NULL, 'firma', 'visione', 'visione', 'uguale per tutti'),
(7, 'Richiesta per complicanze gestazione', 'nuovocomplicanzegestazione.php', 1, 0, NULL, 'CHIEDE', 'pricomplicanzegestazione.php', 'DOMANDA PER USUFRUIRE DELL''INTERDIZIONE DAL LAVORO PER GRAVI COMPLICANZE DELLA GESTAZIONE', NULL, 'autorizzazione', 'visione', 'visione', 'uguale per tutti'),
(8, 'Richiesta di permesso breve', 'nuovopbreve.php', 1, 0, NULL, 'CHIEDE', 'pripbreve.php', 'RICHIESTA DI PERMESSO BREVE', NULL, 'autorizzazione', 'autorizzazione', 'visione', 'diverso per docenti e ata'),
(9, 'Richiesta posticipo maternità', 'nuovoposticipo.php', 1, 0, NULL, 'COMUNICA', 'priposticipo.php', 'POSTICIPO CONGEDO di MATERNITÀ- art. 20 del D.Lvo n. 151/2001', NULL, 'autorizzazione', 'autorizzazione', 'visione', 'uguale per tutti'),
(10, 'Richiesta permesso allattamento', 'nuovopermessoa.php', 1, 0, NULL, 'CHIEDE', 'pripermessoa.php', 'DOMANDA PER USUFRUIRE DEL PERMESSO DI ALLATTAMENTO', NULL, 'autorizzazione', 'visione', 'visione', 'uguale per tutti'),
(11, 'Richiesta di congedo', 'nuovocongedo.php', 1, 0, NULL, 'CHIEDE', 'pricongedo.php', 'RICHIESTA DI CONGEDO', NULL, 'autorizzazione', 'autorizzazione', 'visione', 'diverso per docenti e ata'),
(12, 'Congedo parentale', 'nuovocongedop.php', 1, 0, NULL, 'COMUNICA', 'pricongedop.php', 'DOMANDA PER USUFRUIRE DI CONGEDO PARENTALE', NULL, 'autorizzazione', 'visione', 'visione', 'uguale per tutti'),
(13, 'Prestito materiale didattico', 'nuovarichiestaprestito.php', 1, 0, NULL, 'CHIEDE', 'pririchiestaprestito.php', NULL, NULL, 'firma', 'visione', 'visione', 'docenti'),
(14, 'Comodato d''uso', 'nuovocomodatoduso.php', 1, 1, 'OGGETTO: COMODATO D'' USO', 'COMUNICA', 'pricomodatoduso.php', NULL, NULL, 'autorizzazione', 'firma', 'visione', 'uguale per tutti'),
(15, 'Proposta di donazione', 'nuovapropostadonazione.php', 1, 1, 'OGGETTO: PROPOSTA DI DONAZIONE', 'COMUNICA', 'pripropostadonazione.php', NULL, NULL, 'autorizzazione', 'autorizzazione', 'visione', 'uguale per tutti'),
(16, 'Acquisto materiale', 'nuovarichiestamateriale.php', 1, 1, 'OGGETTO: RICHIESTA DI ACQUISTO MATERIALE', 'RICHIEDE', 'pririchiestamateriale.php', NULL, NULL, 'autorizzazione', 'autorizzazione', 'visione', 'uguale per tutti'),
(18, 'Richiesta ferie', 'nuovarichiestaferie.php', 1, 1, NULL, 'CHIEDE', 'pririchiestaferie.php', NULL, NULL, 'autorizzazione', 'autorizzazione', 'visione', 'diverso per docenti e ATA'),
(19, 'Cambio orario', 'nuovocambioorario.php', 1, 0, 'OGGETTO: RICHIESTA DI CAMBIO ORARIO DOCENTI', 'CHIEDE', 'pricambioorario.php', NULL, NULL, 'autorizzazione', 'autorizzazione', 'visione', 'diverso per docenti e ata'),
(20, 'Rendicontazione bonus docenti', 'nuovobonus.php', 1, 1, 'OGGETTO: Rendicontazione bonus docenti', 'DICHIARA', 'pribonus.php', NULL, NULL, NULL, NULL, NULL, 'docenti');
CREATE TABLE   `tipologiaprogetti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_type` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7;
INSERT INTO `tipologiaprogetti` (`id`, `project_type`) VALUES
(1, 'Istituto'),
(2, 'Scuola Primaria'),
(3, 'Scuola Secondaria di primo grado Besozzi'),
(4, 'Scuola dell''Infanzia Boschetti'),
(5, 'Educazione'),
(6, 'Educazione stradale');
CREATE TABLE   `tipologiarelazioni` (
  `id_tipologiarelazioni` int(11) NOT NULL AUTO_INCREMENT,
  `tipologiarelazioni` varchar(100) NOT NULL,
  `vis_pubblica` tinyint(1) NOT NULL DEFAULT '0',
  `vis_coord` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_tipologiarelazioni`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `tipologiasgq` (
  `id_sgq` int(11) NOT NULL AUTO_INCREMENT,
  `sigla` varchar(50) NOT NULL,
  `sgq_type` varchar(200) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id_sgq`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6;
INSERT INTO `tipologiasgq` (`id_sgq`, `sigla`, `sgq_type`) VALUES
(1, 'generale', 'Documenti generali'),
(2, 'secondaria', 'Scuola secondaria'),
(3, 'primaria', 'Scuola primaria'),
(4, 'infanzia', 'Scuola d''infanzia'),
(5, 'sicurezza', 'Sicurezza');
CREATE TABLE   `tipologiaverbali` (
  `id_tipologiaverbali` int(11) NOT NULL AUTO_INCREMENT,
  `tipologiaverbali` varchar(50) NOT NULL,
  PRIMARY KEY (`id_tipologiaverbali`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6;
INSERT INTO `tipologiaverbali` (`id_tipologiaverbali`, `tipologiaverbali`) VALUES
(1, 'Consiglio di classe'),
(2, 'Commissione'),
(3, 'Dipartimento'),
(4, 'Funzioni Strumentali'),
(5, 'Relazioni finali H');
CREATE TABLE   `titoli` (
  `utente` varchar(100) NOT NULL DEFAULT '',
  `istituto` varchar(255) NOT NULL DEFAULT '',
  `qualifica_conseguita` varchar(255) NOT NULL DEFAULT '',
  `periodo` varchar(100) NOT NULL,
  `votazione` varchar(15) DEFAULT '0',
  `id_titoli` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_titoli`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `tracciamento` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `utente` varchar(50) NOT NULL DEFAULT '',
  `azione` varchar(50) NOT NULL DEFAULT '',
  `tabella` varchar(50) NOT NULL DEFAULT '',
  `record` varchar(50) DEFAULT NULL,
  `tempo` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
CREATE TABLE   `uffici` (
  `cod` varchar(6) NOT NULL DEFAULT '',
  `desc` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`cod`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `uffici` (`cod`, `desc`) VALUES
('DIR', 'Dirigenza'),
('DSGA', 'Dsga'),
('PER', 'Personale'),
('DID', 'Didattica');
CREATE TABLE   `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `oauth_provider` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `oauth_uid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fname` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `lname` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `gender` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `locale` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `gpluslink` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `picture` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=10 ;
CREATE TABLE   `utenti` (
  `utente` varchar(100) NOT NULL,
  `id_utente` int(11) NOT NULL AUTO_INCREMENT,
  `password` varchar(254) CHARACTER SET utf8 NOT NULL,
  `ruolo` varchar(40) CHARACTER SET utf8 NOT NULL,
  `nome` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `cognome` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `natoa` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `natoil` date DEFAULT '0000-00-00',
  `via` varchar(80) CHARACTER SET utf8 DEFAULT NULL,
  `citta` varchar(80) CHARACTER SET utf8 DEFAULT NULL,
  `tel` varchar(15) CHARACTER SET utf8 DEFAULT NULL,
  `plesso` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `contratto` varchar(20) CHARACTER SET utf8 DEFAULT NULL,
  `email` varchar(254) CHARACTER SET utf8 DEFAULT NULL,
  `ch_password` date NOT NULL,
  `num_accessi` int(6) DEFAULT NULL,
  `ultimo_accesso` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `datains` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `superuser` tinyint(1) NOT NULL DEFAULT '0',
  `resp_progetti` tinyint(1) NOT NULL DEFAULT '0',
  `vis_progetti` tinyint(1) NOT NULL DEFAULT '0',
  `super_progetti` tinyint(1) NOT NULL DEFAULT '0',
  `gest_progetti` tinyint(1) NOT NULL DEFAULT '0',
  `pubb_circolari` tinyint(1) NOT NULL DEFAULT '0',
  `super_circolari` tinyint(1) NOT NULL DEFAULT '0',
  `pubb_atti` tinyint(1) NOT NULL DEFAULT '0',
  `pubb_aggiornamenti` tinyint(1) NOT NULL DEFAULT '0',
  `pubb_bacheca` tinyint(1) NOT NULL DEFAULT '0',
  `super_bacheca` tinyint(1) NOT NULL DEFAULT '0',
  `super_verbali` tinyint(1) NOT NULL DEFAULT '0',
  `super_relazioni` tinyint(1) NOT NULL DEFAULT '0',
  `super_registri` tinyint(1) NOT NULL DEFAULT '0',
  `super_richieste` tinyint(1) DEFAULT '0',
  `pubb_sgq` tinyint(1) NOT NULL DEFAULT '0',
  `super_sgq` tinyint(1) NOT NULL DEFAULT '0',
  `super_cv` tinyint(1) NOT NULL DEFAULT '0',
  `profilo` tinyint(1) NOT NULL DEFAULT '0',
  `tracciamento` tinyint(1) NOT NULL DEFAULT '0',
  `datigenerali` int(11) NOT NULL DEFAULT '0',
  `cod_fiscale` varchar(16) NOT NULL,
  `stato` int(11) DEFAULT '1',
  PRIMARY KEY (`utente`),
  KEY `id_utente` (`id_utente`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2;
CREATE TABLE   `utilizzatori` (
  `id_utilizzatori` int(11) NOT NULL AUTO_INCREMENT,
  `sigla` varchar(50) NOT NULL,
  `utilizzatori` varchar(200) NOT NULL,
  PRIMARY KEY (`id_utilizzatori`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=31;
INSERT INTO `utilizzatori` (`id_utilizzatori`, `sigla`, `utilizzatori`) VALUES
(1, 'Tutti', 'Tutti'),
(2, 'RD', 'Rappresentante della Dirigenza'),
(3, 'RGQD', 'Resp. sistema gestione Qualità'),
(4, 'AUD', 'Valutatore Interno'),
(5, 'TTY', 'Titolare del trattamento (Privacy)'),
(6, 'DIR', 'Dirigente'),
(7, 'RGQP', 'Resp. sistema gestione Qualità di plesso'),
(8, 'RAN', 'Incaricato antincendio'),
(9, 'RIN', 'Incaricato primo soccorso'),
(10, 'RTY', 'Resp. del trattamento (Privacy) 1-2 tipo'),
(11, 'ITY', 'Incaricati del trattamento (Privacy) 1-2-3 tipo'),
(12, 'DSG', 'Direttore servizi amministrativi'),
(13, 'RDS', 'Responsabile di plesso'),
(14, 'POF', 'FS area POF'),
(15, 'VAL', 'FS Valutazione'),
(16, 'ORI', 'FS Orientamento'),
(17, 'FOR', 'FS formazione'),
(18, 'RSPP', 'Resp. sicurezza prevenzione e protezione'),
(19, 'RLS', 'Rappresentante dei lavoratori'),
(20, 'SEG', 'Segreteria didattica (Corsi)'),
(21, 'DOC', 'Docente'),
(22, 'FAD', 'Responsabile FAD'),
(23, 'MDD', 'Formatore FAD o Mediatore didattico'),
(24, 'TUD', 'Tutor Didattico (FAD)'),
(25, 'BES', 'FS BES'),
(26, 'COM', 'FS Comunicazione'),
(27, 'ADH', 'Docente di sostegno'),
(28, 'SGM', 'Segreteria Amm.va'),
(29, 'DOE', 'Esperti Esterni'),
(30, 'DCO', 'Coordinatori');
CREATE TABLE   `verbali` (
  `id_verbali` int(11) NOT NULL AUTO_INCREMENT,
  `id_def_verbali` int(11) NOT NULL,
  `id_target_verbali` int(11) NOT NULL,
  `target` varchar(50) NOT NULL,
  `stato` varchar(50) NOT NULL,
  `pdf` varchar(255) NOT NULL,
  `presidente` varchar(100) NOT NULL,
  `verbalizzatore` varchar(100) NOT NULL,
  `presenti` text NOT NULL,
  `assenti` text NOT NULL,
  `data_riunione` date NOT NULL DEFAULT '0000-00-00',
  `ora_inizio` varchar(6) NOT NULL,
  `ora_fine` varchar(6) NOT NULL,
  `data_inoltro` date NOT NULL DEFAULT '0000-00-00',
  `odg1` text,
  `odg2` text,
  `odg3` text,
  `odg4` text,
  `odg5` text,
  `odg6` text,
  `odg7` text,
  `odg8` text,
  `odg9` text,
  `odg10` text,
  PRIMARY KEY (`id_verbali`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
CREATE TABLE   `vis_per_circolari` (
  `id_vis_per_circolari` int(11) NOT NULL AUTO_INCREMENT,
  `id_utente` int(11) NOT NULL,
  `id_circolari` int(11) NOT NULL,
  `data_vis` datetime NOT NULL,
  `ip` varchar(15) NOT NULL,
  PRIMARY KEY (`id_vis_per_circolari`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;