<?php

require('fpdf.php');          


//function hex2dec
//returns an associative array (keys: R,G,B) from
//a hex html code (e.g. #3FE5AA)
function hex2dec($couleur = "#000000"){
    $R = substr($couleur, 1, 2);
    $rouge = hexdec($R);
    $V = substr($couleur, 3, 2);
    $vert = hexdec($V);
    $B = substr($couleur, 5, 2);             
    $bleu = hexdec($B);
    $tbl_couleur = array();
    $tbl_couleur['R']=$rouge;
    $tbl_couleur['G']=$vert;
    $tbl_couleur['B']=$bleu;
    return $tbl_couleur;
}

//conversion pixel -> millimeter in 72 dpi
function px2mm($px){
    return $px*25.4/72;
}

function txtentities($html){
    $trans = get_html_translation_table(HTML_ENTITIES);
    $trans = array_flip($trans);
    return strtr($html, $trans);
}
////////////////////////////////////

class PDF extends FPDF
{


//variables of html parser
var $B;
var $I;
var $U;
var $HREF;
var $fontList;
var $issetfont;
var $issetcolor;

function PDF($orientation='P', $unit='mm', $format='A4')
{
    //Call parent constructor
    $this->FPDF($orientation,$unit,$format);
    //Initialization
    $this->B=0;
    $this->I=0;
    $this->U=0;
    $this->HREF='';

    $this->tableborder=0;
    $this->tdbegin=false;
    $this->tdwidth=0;
    $this->tdheight=0;
    $this->tdalign="L";
    $this->tdbgcolor=false;

    $this->oldx=0;
    $this->oldy=0;

    $this->fontlist=array("arial","times","courier","helvetica","symbol");
    $this->issetfont=false;
    $this->issetcolor=false;
}
/* MultiCell */

function CheckPageBreak($h)
{
    //If the height h would cause an overflow, add a new page immediately
    if($this->GetY()+$h>$this->PageBreakTrigger)
        $this->AddPage($this->CurOrientation);
}
function Row($data)
{
    //Calculate the height of the row
    $nb=0;
    for($i=0;$i<count($data);$i++)
        $nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
    $h=5*$nb;
    //Issue a page break first if needed
    $this->CheckPageBreak($h);
    //Draw the cells of the row
    for($i=0;$i<count($data);$i++)
    {
        $w=$this->widths[$i];
        $a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
        //Save the current position
        $x=$this->GetX();
        $y=$this->GetY();
        //Draw the border
        $this->Rect($x,$y,$w,$h);
        //Print the text
        $this->MultiCell($w,5,$data[$i],0,$a);
        //Put the position to the right of the cell
        $this->SetXY($x+$w,$y);
    }
    //Go to the next line
    $this->Ln($h);
}

function NbLines($w,$txt)
{
    //Computes the number of lines a MultiCell of width w will take
    $cw=&$this->CurrentFont['cw'];
    if($w==0)
        $w=$this->w-$this->rMargin-$this->x;
    $wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
    $s=str_replace("\r",'',$txt);
    $nb=strlen($s);
    if($nb>0 and $s[$nb-1]=="\n")
        $nb--;
    $sep=-1;
    $i=0;
    $j=0;
    $l=0;
    $nl=1;
    while($i<$nb)
    {
        $c=$s[$i];
        if($c=="\n")
        {
            $i++;
            $sep=-1;
            $j=$i;
            $l=0;
            $nl++;
            continue;
        }
        if($c==' ')
            $sep=$i;
        $l+=$cw[$c];
        if($l>$wmax)
        {
            if($sep==-1)
            {
                if($i==$j)
                    $i++;
            }
            else
                $i=$sep+1;
            $sep=-1;
            $j=$i;
            $l=0;
            $nl++;
        }
        else
            $i++;
    }
    return $nl;
}

//////////////////////////////////////
//html parser

function RowTable($width,$height,$data,$back,$cell)
{
$x=$this->GetX();
$y=$this->GetY();
$this->Rect($x,$y,$width,$height);
if ($cell=='c') $this->Cell($width,5,$data,0,$back,'C',0);
if ($cell=='m') {
$this->SetXY($x,$y);	                             
$this->MultiCell($width,5,$data,0,'L',0);
 $this->SetXY($x+$width,$y);

}
if ($back==1)  $this->SetY($y+$height);
}

function WriteHTMLinte($html)
{
    //HTML parser  &bull;  &rsquo;   &agrave; &nbsp;   &#39;   &deg;
     $html=str_replace("<p>","",$html);
      $html=str_replace("</p>","<br>",$html);
      $html=str_replace("<br/>","<br>",$html);
      
    $html=str_replace("&bull;",'-',$html);
    $html=str_replace("&rsquo;","'",$html);
     $html=str_replace("&nbsp;"," ",$html);
    $html=str_replace("&agrave;","",$html);
    $html=str_replace("&ugrave;","",$html);
    $html=str_replace("&eacute;","",$html);
    $html=str_replace("&egrave;","",$html);
    $html=str_replace("&deg;","",$html);
    $html=str_replace("&#39;","'",$html);
    $html=str_replace("&euro;","",$html);
    $html=str_replace("&quot;","\"",$html);
    $html=str_replace("&ldquo;","\"",$html);
    $html=str_replace("&rdquo;","\"",$html);
     $html=str_replace("&ndash;","",$html); 
    $html=strip_tags($html,"<b><u><i><a><img><p><br><strong><em><font><tr><blockquote>"); //supprime tous les tags sauf ceux reconnus
    $html=str_replace("\n",' ',$html); //remplace retour  la ligne par un espace
    $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE); //clate la chane avec les balises
    foreach($a as $i=>$e)
    {
        if($i%2==0)
        {
            //Text
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
          $this->SetFont('Arial','',8);
              // $this->Write(2,stripslashes(txtentities($e)));  
          
      
          $this->Cell(0,0,stripslashes(txtentities($e)),0,0,'C');
         //$this->MultiCell(0,0,stripslashes(txtentities($e)),0,'C',0);
         //  $this->Ln(0.5);
        }
        else
        {
            //Tag
            if($e[0]=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else
            {
                //Extract attributes
                $a2=explode(' ',$e);
                $tag=strtoupper(array_shift($a2));
                $attr=array();
                foreach($a2 as $v)
                {
                    if(preg_match('/([^=]*)=["\']?([^"\']*)/',$v,$a3))
                        $attr[strtoupper($a3[1])]=$a3[2];
                }
                $this->OpenTag($tag,$attr);
            }
        }
    }
}


function WriteHTML($html)
{
    //HTML parser  &bull;  &rsquo;   &agrave; &nbsp;   &#39;   &deg;
    $html=str_replace("&bull;",'-',$html);
    $html=str_replace("&rsquo;","'",$html);
     $html=str_replace("&nbsp;"," ",$html);
    $html=str_replace("&agrave;","",$html);
    $html=str_replace("&ugrave;","",$html);
    $html=str_replace("&eacute;","",$html);
    $html=str_replace("&egrave;","",$html);
    $html=str_replace("&deg;","",$html);
    $html=str_replace("&#39;","'",$html);
    $html=str_replace("&euro;","",$html);
    $html=str_replace("&quot;","\"",$html);
    $html=str_replace("&ldquo;","\"",$html);
    $html=str_replace("&rdquo;","\"",$html);

    $html=strip_tags($html,"<b><u><i><a><img><p><br><strong><em><font><tr><blockquote>"); //supprime tous les tags sauf ceux reconnus
    $html=str_replace("\n",' ',$html); //remplace retour  la ligne par un espace
    $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE); //clate la chane avec les balises
    foreach($a as $i=>$e)
    {
        if($i%2==0)
        {
            //Text
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
           //    $this->Write(4,stripslashes(txtentities($e)));  
           if (strlen(stripslashes(txtentities($e)))>120) {
          
           $this->Write(8,stripslashes(txtentities($e)));
            
           } else {      
           $this->Cell(277,4,stripslashes(txtentities($e)),0,1,'L');
           }
        }
        else
        {
            //Tag
            if($e[0]=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else
            {
                //Extract attributes
                $a2=explode(' ',$e);
                $tag=strtoupper(array_shift($a2));
                $attr=array();
                foreach($a2 as $v)
                {
                    if(preg_match('/([^=]*)=["\']?([^"\']*)/',$v,$a3))
                        $attr[strtoupper($a3[1])]=$a3[2];
                }
                $this->OpenTag($tag,$attr);
            }
        }
    }
}


function OpenTag($tag, $attr)
{
    //Opening tag
    switch($tag){

        case 'SUP':
            if( !empty($attr['SUP']) ) {    
                //Set current font to 6pt     
                $this->SetFont('','',6);
                //Start 125cm plus width of cell to the right of left margin         
                //Superscript "1" 
                $this->Cell(2,2,$attr['SUP'],0,0,'L');
            }
            break;

        case 'TABLE': // TABLE-BEGIN
            if( !empty($attr['BORDER']) ) $this->tableborder=$attr['BORDER'];
            else $this->tableborder=0;
            break;
        case 'TR': //TR-BEGIN
            break;
        case 'TD': // TD-BEGIN
            if( !empty($attr['WIDTH']) ) $this->tdwidth=($attr['WIDTH']/4);
            else $this->tdwidth=40; // Set to your own width if you need bigger fixed cells
            if( !empty($attr['HEIGHT']) ) $this->tdheight=($attr['HEIGHT']/6);
            else $this->tdheight=6; // Set to your own height if you need bigger fixed cells
            if( !empty($attr['ALIGN']) ) {
                $align=$attr['ALIGN'];        
                if($align=='LEFT') $this->tdalign='L';
                if($align=='CENTER') $this->tdalign='C';
                if($align=='RIGHT') $this->tdalign='R';
            }
            else $this->tdalign='L'; // Set to your own
            if( !empty($attr['BGCOLOR']) ) {
                $coul=hex2dec($attr['BGCOLOR']);
                    $this->SetFillColor($coul['R'],$coul['G'],$coul['B']);
                    $this->tdbgcolor=true;
                }
            $this->tdbegin=true;
            break;

        case 'HR':
            if( !empty($attr['WIDTH']) )
                $Width = $attr['WIDTH'];
            else
                $Width = $this->w - $this->lMargin-$this->rMargin;
            $x = $this->GetX();
            $y = $this->GetY();
            $this->SetLineWidth(0.2);
            $this->Line($x,$y,$x+$Width,$y);
            $this->SetLineWidth(0.2);
            $this->Ln(1);
            break;
        case 'STRONG':
            $this->SetStyle('B',true);
            break;
        case 'EM':
            $this->SetStyle('I',true);
            break;
        case 'B':
        case 'I':
        case 'U':
            $this->SetStyle($tag,true);
            break;
        case 'A':
            $this->HREF=$attr['HREF'];
            break;
        case 'IMG':
            if(isset($attr['SRC']) && (isset($attr['WIDTH']) || isset($attr['HEIGHT']))) {
                if(!isset($attr['WIDTH']))
                    $attr['WIDTH'] = 0;
                if(!isset($attr['HEIGHT']))
                    $attr['HEIGHT'] = 0;
                $this->Image($attr['SRC'], $this->GetX(), $this->GetY(), px2mm($attr['WIDTH']), px2mm($attr['HEIGHT']));
            }
            break;
        case 'BLOCKQUOTE':
        case 'BR':
            $this->Ln(5);
            break;
        case 'P':
       //     $this->Ln(10);
            break;
        case 'FONT':
            if (isset($attr['COLOR']) && $attr['COLOR']!='') {
                $coul=hex2dec($attr['COLOR']);
                $this->SetTextColor($coul['R'],$coul['G'],$coul['B']);
                $this->issetcolor=true;
            }
            if (isset($attr['FACE']) && in_array(strtolower($attr['FACE']), $this->fontlist)) {
                $this->SetFont(strtolower($attr['FACE']));
                $this->issetfont=true;
            }
            if (isset($attr['FACE']) && in_array(strtolower($attr['FACE']), $this->fontlist) && isset($attr['SIZE']) && $attr['SIZE']!='') {
                $this->SetFont(strtolower($attr['FACE']),'',$attr['SIZE']);
                $this->issetfont=true;
            }
            break;
    }
}

function CloseTag($tag)
{
    //Closing tag
    if($tag=='SUP') {
    }

    if($tag=='TD') { // TD-END
        $this->tdbegin=false;
        $this->tdwidth=0;
        $this->tdheight=0;
        $this->tdalign="L";
        $this->tdbgcolor=false;
    }
    if($tag=='TR') { // TR-END
        $this->Ln();
    }
    if($tag=='TABLE') { // TABLE-END
        //$this->Ln();
        $this->tableborder=0;
    }

    if($tag=='STRONG')
        $tag='B';
    if($tag=='EM')
        $tag='I';
    if($tag=='B' || $tag=='I' || $tag=='U')
        $this->SetStyle($tag,false);
    if($tag=='A')
        $this->HREF='';
    if($tag=='FONT'){
        if ($this->issetcolor==true) {
            $this->SetTextColor(0);
        }
        if ($this->issetfont) {
            $this->SetFont('arial');
            $this->issetfont=false;
        }
    }
}

function SetStyle($tag, $enable)
{
    //Modify style and select corresponding font
    $this->$tag+=($enable ? 1 : -1);
    $style='';
    foreach(array('B','I','U') as $s) {
        if($this->$s>0)
            $style.=$s;
    }
    $this->SetFont('',$style);
}

function PutLink($URL, $txt)
{
    //Put a hyperlink
    $this->SetTextColor(0,0,255);
    $this->SetStyle('U',true);
    $this->Write(5,$txt,$URL);
    $this->SetStyle('U',false);
    $this->SetTextColor(0);
}


function Intestazione()
{
include('../struct/common.php');
 // Logo
$sqlb="SELECT * FROM generalinfo";

$risb=mysql_query($sqlb,mysql_connect($dbhost,$dbuser,$dbpass));
$rowb=mysql_num_rows($risb);
$recb=mysql_fetch_array($risb);
$imgintestazione1=trim(mysql_result($risb,0,"imgintestazione1"));
$imgintestazione2=trim(mysql_result($risb,0,"imgintestazione2"));
$imgintestazione3=trim(mysql_result($risb,0,"imgintestazione3"));
 $intestazione=trim(mysql_result($risb,0,"intestazione"));

if ($imgintestazione1!="" && $imgintestazione2=="" && $imgintestazione3=="") $this->Image($imgintestazione1,95,5,15,15);
if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3=="") 
{ $this->Image($imgintestazione1,30,5,15,15);
  $this->Image($imgintestazione2,170,5,15,15);
 
 } 
 if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3!="") 
{ $this->Image($imgintestazione1,30,5,15,15);
  $this->Image($imgintestazione2,95,5,15,15);
  $this->Image($imgintestazione3,170,5,15,15);
 
 } 
    $this->SetFont('Arial','',9);
$w=277;
$h=8;
$this->ln(15);
$this->WriteHTMLinte($intestazione);


}

function Title($title,$subtitle)
{
 
  $this->MultiCell($w,10,$title,0,'C');

//$this->Cell(0,10,$tit,0,1,'C');
$this->SetFont('Times','B',10);
if ($subtitle!="") $this->MultiCell(0,4,$subtitle,0,'C');
 }

 function AddressedTo($to)
{                                                      
$this->SetFont('Times','B',12);
$this->Cell(0,10,$to,0,1,'R');

}

function PreReq($n,$c,$p,$r,$co,$width,$height,$dich)
{
  $txt="Il/La sottoscritto/a ".$n." ".$c;
  if ($p!="" && $p!='0') $txt=$txt." in servizio nel corrente anno scolastico presso la ".$p." di codesta istituzione scolastica in qualit di ".$r." con contratto a tempo ".$co;
  $this->SetFont('Times','',12);
  $this->MultiCell($width,$height,$txt,0,'L');
if ($dich=='1') {
$txt="cosciente della responsabilit penale a cui vado incontro in caso di dichiarazione mendace o esibizione di atto falso, puniti ai sensi del codice penale e delle leggi speciali in materia (art. 76,DPR 28/12/2000) n. 445),"; 
$this->MultiCell($width,$height,$txt,0,'L');

}  
}

function PriSegr($w,$h,$n,$c)
{

$this->SetFont('Times','B',12);
$this->Ln(10);

$this->RowTable($w,2*$h,'',0,'C');

$this->SetFont('Times','',12);

$txt=$n." ".$c; 
$this->Cell($w,$h,'RISERVATO ALLA SEGRETERIA',0,1,'C');
$this->Cell($w,$h,'LASSISTENTE AMMINISTRATIVO addetto al controllo:'.$txt,0,1,'L');

}

function PriDSGA($w,$h,$aut_ds,$citta,$d_a,$nome_ds,$n_dsga)
{

$this->SetFont('Times','B',12);
$this->RowTable($w,4*$h,'',0,'C');
$this->SetFont('Times','',12);

$this->Cell($w,$h,'RISERVATO AL DSGA',0,1,'C');
if ($aut_ds==0) $txt="VISTO: "; 
if ($aut_ds==1) $txt="VISTO: Parere favorevole Si"; 
if ($aut_ds==2) $txt="VISTO: Parere favorevole No"; 
$this->Cell(180,$h,$txt,0,1,'L');
$this->Cell(180,$h,'Nota: '.$n_dsga,0,0,'L');

$this->SetX(-60);
$this->Cell($w,$h,ucwords($nome_ds).' '.ucwords($cognome_ds),0,1,'L');
$txt=$citta.", ".$d_a;
$this->Cell($w,$h,$txt,0,0,'L'); 
  
$this->SetX(-80);
$this->SetFont('Arial','I',7);
$height=4;
$txt="Firma autografa sostituita a mezzo stampa ai sensi dell' art. 3, comma 2, del D.Lgs. 39/93";
$this->MultiCell(60,$height,$txt,0,'R',0);

}

function PriDS($w,$h,$n_ds,$aut_ds,$citta,$d_a,$nome_ds,$nota_ds,$azione)
{

$this->SetFont('Times','B',12);
$this->RowTable($w,4*$h,'',0,'C');
$this->SetFont('Times','',12);
$this->Cell($w,$h,'RISERVATO AL DIRIGENTE SCOLASTICO',0,1,'C');
if ($azione=="autorizzazione") {
if ($aut_ds==0) $txt="VISTO: "; 
if ($aut_ds==1) $txt="VISTO: si concede"; 
if ($aut_ds==2) $txt="VISTO: non si concede";
} else { } 
$this->Cell(180,$h,$txt,0,1,'L');
$this->Cell(180,$h,'Nota: '.$nota_ds,0,0,'L');
$this->SetX(-60);


 $this->SetX(-60);
$this->Cell($w,$h,ucwords($nome_ds).' '.ucwords($cognome_ds),0,1,'L');
$txt=$citta.", ".$d_a;
$this->Cell($w,$h,$txt,0,0,'L'); 
  
$this->SetX(-80);
$this->SetFont('Arial','I',7);
$height=4;
$txt="Firma autografa sostituita a mezzo stampa ai sensi dell' art. 3, comma 2, del D.Lgs. 39/93";
$this->MultiCell(60,$height,$txt,0,'R',0);
 

}



function Action($act,$height)
{
  $this->Cell(0,$height,$act,0,1,'C');
}



}//end of class




?>